/* Color pallet: https://colorhunt.co/palette/b5c0d0ccd3caf5e8ddeed3d9 */

/* TAG selectors */

body {
    font-size: 12pt; /* It is equal to setting font size 12 in MS Word */
}

h2 {
    font-size: 2rem; /* 2 times the size of what was set in body */
}

h1 {
    font-size: 3rem;
    margin-top: 0.5em;
}

h1, h2 { /* Select h1 and h2 tags */
    font-weight: normal; /* Disable bold text on h1 and h2 */
}

header {
    font-family: sans-serif;
    font-size: 1.5em;
}

p {
    text-align: justify;
}

footer {
    margin-top: 1em;
}

/* Combination selector */
h1.homepage { /* Select a tag that satisfy both conditions of tag h1 and class homepage */
    margin-bottom: 0; /* Dont want any extra margin at the bottom of h1 for index page */
}

/* Class selectors */
.article-paragraph {
    margin: 2em;
}

.article-paragraph > p {
    align-self: center;
}

.center{
    display: flex;
    justify-content: center;
}

.side-by-side {
    display: flex;
}

.side-by-side > * { /* Select only direct children of .side-by-side which happens to be children to flex container*/
    margin: 2em; /* Give 2em margin between the image and the text to all direct children of flexbox container .side-by-side*/
}

.colored {
    background-color: #CCD3CA;
    padding: 2em;
}

.card {
    margin-top: 2em;
}

.image-first > img {
    order: 0;
}

.image-first > p {
    order: 1;
}

@media print, screen and (max-width: 942px)
{
    /* The css to apply from 0px to 942px screen window size, dedicated to mobile devices */
    /* Also when someone wants to print to A4, it will be good to give them this one column
    layout that does not look all squashed up */

    /* Note detail */
    .article-paragraph {
        flex-direction: column;
        break-inside: avoid; /* Applied to the image container prevents image from being broken */
    }
    .article-paragraph > p {
        order: 1;
    }
    .article-paragraph > img {
        align-self: center;
        order: 0;
    }

    /* Homepage */
    .side-by-side {
        flex-direction: column;
    }

    .side-by-side > aside {
        align-self: center;
        order: 0;
        break-inside: avoid;
    }

    .side-by-side > p {
        order: 1
    }
}

@media print
{
    /* This only applies to printing and will disable green color for printers */
    .colored {
        background-color: white;
    }

    /* There is no reason to give link to read more or go back to home when printing on paper */
    .card > footer, main > a {
        display: none;
    }
}